// Ecopay.h : Hauptheaderdatei für die Ecopay-Anwendung
//
#pragma once

#ifndef __AFXWIN_H__
#error "\"stdafx.h\" vor dieser Datei für PCH einschließen"
#endif

#include "resource.h"       // Hauptsymbole
#define DEFAULT_BITMAP_FILE_EXTENSION						_T("bmp")
#define DEFAULT_BITMAP_FILE_NAME							_T("My Drawing")

// CEcopayApp:
// Siehe Ecopay.cpp für die Implementierung dieser Klasse
//
#define WM_VisualisierungKarte WM_APP+15

class CEcopayApp: public CWinApp
{
public:
    CEcopayApp();

// Überschreibungen
public:
    virtual BOOL InitInstance();
    int ExitInstance();

    afx_msg
    void OnNeuesStartfenster();
    void OnPixelLaden();

    afx_msg
    void OnNeuersteckbriefSchmetterling();afx_msg
    void OnNeuersteckbriefVogel();afx_msg
    void OnNeuersteckbriefLebensraumtyp();afx_msg
    void OnGisGisdateneinlesen();afx_msg
    void OnGruenlandNeuesgruenland();afx_msg
    void OnSteckbriefladenLebensraumtyp();afx_msg
    void OnSteckbriefladenVogel();afx_msg
    void OnSteckbriefladenSchmetterling();afx_msg
    void OnModellierungKostenberechnung();afx_msg
    void OnModellierungSimulierungvonausgleichszahlungen();afx_msg
    void OnSimulationSimulierungausgew32802();afx_msg
    void OnVisualisierungKarte();

    DECLARE_MESSAGE_MAP()
// Implementierung
    afx_msg void OnAppAbout();afx_msg
    void OnAppSteckbrief();afx_msg
    void artensteckbrief();
    //afx_msg void OnSteckbriefNeuersteckbrief();

    CMultiDocTemplate *m_pTemplateInfo;
public:

    afx_msg
    void VisualisierungKarte();
    static CEcopayApp *GetApp();afx_msg
    void OnOptimierungQualit32804();
};

extern CEcopayApp theApp;